Subject: Re: [PATCH] seg6: inherit inner IPv4 TTL on ip4ip6 encapsulation

From: Jakub Kicinski <[email-masked]>
Date: Thu, 23 Jan 2025 07:48:24 -0800

On Wed, 22 Jan 2025 11:20:05 +0100 Ahmed Abdelsalam wrote:
> This patch is not RFC complaint. Section 6.3 of RFC 2473 (Generic Packet
> Tunneling in IPv6 Specification) discussed IPv6 Tunnel Hop Limit.
> The hop limit field of the tunnel IPv6 header of each packet encapsulated
> is set to the hop limit default value of the tunnel entry-point ode.
> The SRv6 RFC (RFC 8986) inherits the tunnel behavior from RFC2473l

I see. I think this information would be good to have in the commit
message. IIRC we do inherit already in other tunnel implementations, 
ideally we should elaborate on precedents in Linux behavior in the
commit message, too.

reminder: please don't top post on the list